import request from '@/utils/request'

// 查询项目人员列表
export function listProProjectInfoUsers(query) {
  return request({
    url: '/manage/proProjectInfoUsers/list',
    method: 'get',
    params: query
  })
}

// 查询项目人员详细
export function getProProjectInfoUsers(id) {
  return request({
    url: '/manage/proProjectInfoUsers/' + id,
    method: 'get'
  })
}

// 新增项目人员
export function addProProjectInfoUsers(data) {
  return request({
    url: '/manage/proProjectInfoUsers',
    method: 'post',
    data: data
  })
}

// 修改项目人员
export function updateProProjectInfoUsers(data) {
  return request({
    url: '/manage/proProjectInfoUsers',
    method: 'put',
    data: data
  })
}

// 删除项目人员
export function delProProjectInfoUsers(id) {
  return request({
    url: '/manage/proProjectInfoUsers/' + id,
    method: 'delete'
  })
}

// 改变项目排序
export function changeDefaultProject(id) {
  return request({
    url: '/manage/proProjectInfoUsers/changeDefaultProject/' + id,
    method: 'get'
  })
}
